2

We are trying to upgrade from SP1 to SP2 in SQL Server 2005 test box for a named instance.

Initially we got the error

MSP Error: 1260 Windows cannot open this program because it has been prevented by a software restriction policy" and got it fixed by following the solution from forum https://social.technet.microsoft.com/Forums/windowsserver/en-US/10ea9bc2-db84-4c86-9d5e-b442e4fd9600/cannot-install-sql-server-2005-service-pack-2-unable-to-install-windows-installer-msi-file?forum=winserverGP

But now when we are trying to execute the SP2 exe again we are getting the below error from summary file.

and this is the hotfix error log:

On this box we already have one default instance running SQL Server 2005 SP4.

I tried searching on this error but no luck as such.

Any suggestions how can we proceed for this standard 64 bit VM box. thanks!

  • Why are you applying SP2, please apply SP4. There is no benefit from SP2 if you compare it with SP4. The biggest disadvantage of SP2 is, it is unsupported. – Shanky Mar 12 '15 at 12:59
  • @ Shanky i went with SP4 initially, but it kept on giving the error "MSP Error: 1260 Windows cannot open this program because it has been prevented by a software restriction policy", so our senior dba suggested to first apply SP2 and then later SP4, as SP4 kept on giving the error 1260. – KASQLDBA Mar 12 '15 at 13:03
  • You just ignore the warning, SP2 to SP4 won't make a difference! I am not sure what and how but you are trying to upgrade by using 64 bit SP on 32 bit platform -- look at the errors from the first log file -- Setup cannot update Database Services x86 on this computer. To proceed, run the Service Pack Setup program for the x86 platform instead. – DenisT Mar 12 '15 at 13:09
  • A totally wrong appraoch dont go for Sp2. Please add summary.txt file when SQL Server SP4 installation failed use this link to locate the file msdn.microsoft.com/en-us/library/ms143702(v=sql.90).aspx. What is OS version and Sp level please also refer to support.microsoft.com/kb/873419 – Shanky Mar 12 '15 at 13:11
  • @DenisT, this is a X64 bit machine, henceforth running SP set up from 64 bit – KASQLDBA Mar 12 '15 at 13:22
1

As per logs you posted

Products Detected                         Language  Level  Patch Level       Platform  Edition
Database Services (ALCSQLMFG)             ENU       SP1    2005.090.2047.00  x64       STANDARD
Database Services (MSSQLSERVER)           ENU       SP4    2005.090.5069.00  x86       STANDARD
Reporting Services (MSSQLSERVER)          ENU       SP4       9.00.5069.00  x86       STANDARD
Notification Services                     ENU       SP4       9.00.5069.00  x86       STANDARD
Integration Services                      ENU       SP4       9.00.5069.00  x86       STANDARD
SQL Server Native Client                  ENU                 9.00.2047.00  x64       
Client Components                         ENU       SP4           9.4.5069  x86       STANDARD
SQLXML4                                   ENU                 9.00.5000.00  x64       
Backward Compatibility                    ENU                    8.05.2312  x64       
Microsoft SQL Server VSS Writer           ENU                  10.3.5500.0  x64     

If you see it you have two instances installed

  1. ALCSQMFG instance is at patch level 2047 and is 64 bit standard edition

  2. MSSQLSERVER instance is at patch level 5069 and is 32 bit Standard edition.

Further if you go down the logs you can see message

Database Services (MSSQLSERVER)           Setup cannot update Database Services x86 on this computer. To proceed, run the Service Pack Setup program for the x86 platform instead.
Reporting Services (MSSQLSERVER)          Setup cannot update Reporting Services x86 on this computer. To proceed, run the Service Pack Setup program for the x86 platform instead.
Notification Services                     Setup cannot update Notification Services x86 on this computer. To proceed, run the Service Pack Setup program for the x86 platform instead.
Integration Services                      Setup cannot update Integration Services x86 on this computer. To proceed, run the Service Pack Setup program for the x86 platform instead.
Client Components                         Setup cannot update Client Components x86 on this computer. To proceed, run the Service Pack Setup program for the x86 platform instead.

Now the message is clear you are trying to update MSSQLSERVER which is already at SP4 level and is 32 bit. You are using 64 bit installable to update 32 bit to SP4 which is already at SP4. Seems like you are confused with instances.

What you have to do is

You need to update instance ALCSQMFG which is at SP1 level to SP4 and since because this instance is 64 bit you need to run 64 bit installable. What mistake you are doing is you are running 64 bit installable but you are selecting wrong instance you have to select ALCSQMFG instance and then proceed with upgrade

  • Thanks @Shanky for you're inputs. But i am selecting the correct instance. I've highlighted the same on question now. (after edit). Still the same error :( – KASQLDBA Mar 17 '15 at 15:15

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.